## fdsrc fdsrc — read from a unix file descriptor |

## Synopsis

                        GstFdSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstFdSrc

## Implemented Interfaces

GstFdSrc implements GstURIHandler.

## Properties

      "fd"                       gint                  : Read / Write

## Description

Read data from a unix file descriptor.

### Element Information

plugin | coreelements
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### GstFdSrc

    typedef struct _GstFdSrc GstFdSrc;

Opaque GstFdSrc data structure.

## Property Details

### The "`fd`" property

      "fd"                       gint                  : Read / Write

An open file descriptor to read from.

Allowed values: >= 0

Default value: 0

## See Also

GstFdSink